#include "deftype.h"

int make_dec(int code,unchar dec[12])
/* １０進数文字列作成 */
{
unint i=11,sgn=0;
	if (code<0) {
		code=-code;
		sgn=1; /* 負号有り */
	}
	dec[i]=0; /* end of string code */
	while (code>=10) {
		dec[--i]='0'+code%10;
		code/=10;
	} /* code<10 */
	dec[--i]='0'+code;
	if (sgn) dec[--i]='-'; /* 負号 */
	return(i);
}
